<?php
/**
 * TimersApiTest
 * PHP version 7.3
 *
 * @category Class
 * @package  SLIS\Adapter\Tanss
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * TANSS API
 *
 * ## Documentation of the TANSS API. Version: 5.8.22.1  ### older versions Older versions of the API documentation can be found here: * [Docs for 5.8.21.6](https://api-doc.tanss.de/5.8.21.6/) * [Docs for 5.8.21.3](https://api-doc.tanss.de/5.8.21.3/) * [Docs for 5.8.21.1](https://api-doc.tanss.de/5.8.21.1/) * [Docs for 5.8.20.5](https://api-doc.tanss.de/5.8.20.5/) * [Docs for 5.8.20.4](https://api-doc.tanss.de/5.8.20.4/) * [Docs for 5.8.20.2](https://api-doc.tanss.de/5.8.20.2/) * [Docs for 5.8.19.3](https://api-doc.tanss.de/5.8.19.3/)
 *
 * The version of the OpenAPI document: 5.8.22.1
 * Contact: support@tanss.de
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 6.0.0-SNAPSHOT
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace SLIS\Adapter\Tanss\Test\Api;

use \SLIS\Adapter\Tanss\Configuration;
use \SLIS\Adapter\Tanss\ApiException;
use \SLIS\Adapter\Tanss\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * TimersApiTest Class Doc Comment
 *
 * @category Class
 * @package  SLIS\Adapter\Tanss
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class TimersApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass(): void
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp(): void
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown(): void
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass(): void
    {
    }

    /**
     * Test case for apiV1TimersDelete
     *
     * Deletes a timer.
     *
     */
    public function testApiV1TimersDelete()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimersGet
     *
     * Get all timers of current user.
     *
     */
    public function testApiV1TimersGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimersNotesDelete
     *
     * Deletes a timer fragment.
     *
     */
    public function testApiV1TimersNotesDelete()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimersNotesPut
     *
     * Updates a timer fragment.
     *
     */
    public function testApiV1TimersNotesPut()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimersNotesTimerIdGet
     *
     * Get all timer fragments.
     *
     */
    public function testApiV1TimersNotesTimerIdGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimersPost
     *
     * Creates a timer.
     *
     */
    public function testApiV1TimersPost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimersTimerIdGet
     *
     * Get a specific timer.
     *
     */
    public function testApiV1TimersTimerIdGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimersTimerIdPut
     *
     * Starts/stops timer.
     *
     */
    public function testApiV1TimersTimerIdPut()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }
}
